package com.schisandra.oss.infra.basic.service.impl;

import com.schisandra.oss.infra.basic.entity.SchisandraOssWangyi;
import com.schisandra.oss.infra.basic.dao.SchisandraOssWangyiDao;
import com.schisandra.oss.infra.basic.service.SchisandraOssWangyiService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 网易数帆对象存储配置表 表服务实现类
 *
 * @author landaiqing
 * @since 2024-06-02 22:31:37
 */
@Service("SchisandraOssWangyiService")
public class SchisandraOssWangyiServiceImpl implements SchisandraOssWangyiService {

    @Resource
    private SchisandraOssWangyiDao schisandraOssWangyiDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SchisandraOssWangyi queryById(Long id) {
        return this.schisandraOssWangyiDao.selectOneById(id);
    }

    /**
     * 新增数据
     *
     * @param schisandraOssWangyi 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SchisandraOssWangyi schisandraOssWangyi) {
        return this.schisandraOssWangyiDao.insert(schisandraOssWangyi,true);
    }

    /**
     * 修改数据
     *
     * @param schisandraOssWangyi 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SchisandraOssWangyi schisandraOssWangyi) {
        return this.schisandraOssWangyiDao.update(schisandraOssWangyi,true);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long id) {
        return this.schisandraOssWangyiDao.deleteById(id) > 0;
    }


}
